curl --request GET \
--url https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"total_balance": 7200,
"positive_balance": 9000,
"negative_balance": 1800
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 3,
"perPage": 3
}
}Get the overtime balance of an employee
Returns the total, positive and negative overtime balance of the employee employeeId for the from-to period, including the adjustments already applied. Read it right before POST /overtime-policies/v1/adjustments and send the value of the matching key as balanceBeforeSeconds. The employee must belong to the company of the token. The read permission is checked over the employee before the lookup, so an id the API consumer has no role over (including an unknown id) answers 403; 404 employee_not_adjustable is returned when the permission passes but the employee does not belong to the company of the token.
curl --request GET \
--url https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-{region}.sesametime.com/overtime-policies/v1/employees/{employeeId}/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"total_balance": 7200,
"positive_balance": 9000,
"negative_balance": 1800
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 3,
"perPage": 3
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The employee ID. It must belong to the company of the token.
Query Parameters
First day of the period (Y-m-d). Must not be after to.
"2026-01-01"
Last day of the period (Y-m-d), inclusive. It can be equal to from.
"2026-01-31"
Response
Overtime balance of the employee for the period. The status is 200; meta is the default meta of an associative array (total/perPage count its three keys).
Was this page helpful?